Std TextDocument: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(Minor edits. Added Docnav. In progress for now.)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>

{{Docnav
|[[Std_MeasureDistance|Std MeasureDistance]]
|[[Std_DemoMode|Std DemoMode]]
|[[Std_Tools_Menu|Std Tools Menu]]
|IconL=Std_MeasureDistance.svg
|IconR=
|IconC=Freecad.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std TextDocument
|Name=Std TextDocument
|MenuLocation={{StdMenu|[[Std Tools Menu|Tools]]}} → Add text document
|MenuLocation=Tools → Add text document
|Workbenches=All
|Workbenches=All
|Version=0.19
|Version=0.19
Line 11: Line 23:
}}
}}


== Description == <!--T:2-->
==Description== <!--T:2-->


<!--T:3-->
<!--T:3-->
[[Std TextDocument|Std TextDocument]] creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.
The '''Std TextDocument''' command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.


== Usage == <!--T:4-->
==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# Go to the {{MenuCommand|{{StdMenu|[[Std Tools Menu|Tools]]}} → Add text document}} menu
# Select the {{MenuCommand|Tools → Add text document}} option from the menu.
# Double click on the new object created in the [[tree view|tree view]] to open a tab in which to write text.
# Double-click the newly created object in the [[tree view|tree view]] to open a tab in which to write text.
# Add text.
# Add text.
# Close the tab and save the file when asked.
# Close the tab and save the file when asked.


== Properties == <!--T:12-->
==Properties== <!--T:12-->


=== View === <!--T:13-->
===View=== <!--T:13-->


<!--T:14-->
<!--T:14-->
Line 37: Line 49:
* {{PropertyView|Syntax Highlighter|Enumeration}}: it defaults to {{Value|None}}. If it is set to {{Value|Python}}, it will highlight the text like the [[Python_console|Python console]].
* {{PropertyView|Syntax Highlighter|Enumeration}}: it defaults to {{Value|None}}. If it is set to {{Value|Python}}, it will highlight the text like the [[Python_console|Python console]].


== Scripting == <!--T:6-->
==Scripting== <!--T:6-->


<!--T:7-->
<!--T:7-->
Line 62: Line 74:
}}
}}
<translate>
<translate>

{{Docnav
|[[Std_MeasureDistance|Std MeasureDistance]]
|[[Std_DemoMode|Std DemoMode]]
|[[Std_Tools_Menu|Std Tools Menu]]
|IconL=Std_MeasureDistance.svg
|IconR=
|IconC=Freecad.svg
}}


</translate>
</translate>

Revision as of 13:00, 21 April 2020

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.


Std TextDocument

Menu location
Tools → Add text document
Workbenches
All
Default shortcut
None
Introduced in version
0.19
See also
Draft ShapeString, Draft Text

Description

The Std TextDocument command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.

Usage

  1. Select the Tools → Add text document option from the menu.
  2. Double-click the newly created object in the tree view to open a tab in which to write text.
  3. Add text.
  4. Close the tab and save the file when asked.

Properties

View

Editor

  • ViewFont Name (Font): a font name provided by the system, for example, Ubuntu Mono.
  • ViewFont Size (Float): a font size in points, for example, 11.
  • ViewRead Only (Bool): it defaults to false. If it is true the text cannot be edited until this property is set to false.
  • ViewSyntax Highlighter (Enumeration): it defaults to None. If it is set to Python, it will highlight the text like the Python console.

Scripting

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information on adding objects to a document.

An App::TextDocument object is created with the addObject() method of the document. Once a TextDocument exists, its textual information is stored in its Text attribute. This attribute can be used in other objects, for example, as the string in a Draft ShapeString.

import FreeCAD as App
import Draft

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()

obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()